Bug 603413 - RHEL3.9 guest netdump hung with e1000
RHEL3.9 guest netdump hung with e1000
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
All Linux
medium Severity high
: rc
: ---
Assigned To: Michael S. Tsirkin
Virtualization Bugs
:
: 658919 (view as bug list)
Depends On:
Blocks: 580953
  Show dependency treegraph
 
Reported: 2010-06-12 21:16 EDT by CAI Qian
Modified: 2013-01-09 17:44 EST (History)
13 users (show)

See Also:
Fixed In Version: qemu-kvm-0.12.1.2-2.119.el6
Doc Type: Bug Fix
Doc Text:
Cause: missing support for secrc field on e1000 emulation. Consequence: Triggering netdump on a RHEL3 i386 guest, it failed when using e1000 NIC emulation. Fix: Added support for secrc field on e1000 emulation code. Result: netdump on RHEL3 guests using e1000 emulation now work.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 07:29:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
8139cp NIC with incomplete vmcore (12.23 KB, text/plain)
2010-06-12 21:22 EDT, CAI Qian
no flags Details
e1000 NIC stopped here with no progress (1.63 KB, text/plain)
2010-06-12 21:24 EDT, CAI Qian
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0534 normal SHIPPED_LIVE Important: qemu-kvm security, bug fix, and enhancement update 2011-05-19 07:20:36 EDT

  None (edit)
Description CAI Qian 2010-06-12 21:16:50 EDT
Description of problem:
Triggering netdump on a RHEL3 i386 guest, it failed for both 8139cp and e1000 NICs. The host system is a RHEL6 Intel based x200 laptop.

Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.71.el6.x86_64
kernel-2.6.32-33.el6.x86_64
libvirt-0.8.1-7.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. install a RHEL3.9 i386 guest with 2 vcpu and 1G memory.
2. setup and trigger netdump from the guest.
Comment 2 CAI Qian 2010-06-12 21:22:37 EDT
Created attachment 423568 [details]
8139cp NIC with incomplete vmcore

-rw-------  1 netdump netdump     971 Jun 12 07:20 log
-rw-------  1 netdump netdump 1699840 Jun 12 07:21 vmcore-incomplete
Comment 3 CAI Qian 2010-06-12 21:24:35 EDT
Created attachment 423569 [details]
e1000 NIC stopped here with no progress
Comment 4 RHEL Product and Program Management 2010-06-12 21:32:57 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 6 Amit Shah 2010-06-16 10:57:43 EDT
This looks like a dupe of bug #601480
Comment 7 Michael S. Tsirkin 2010-06-16 14:54:14 EDT

*** This bug has been marked as a duplicate of bug 601480 ***
Comment 8 CAI Qian 2010-06-17 00:20:45 EDT
I'll use this one to track RHEL3 guest (e1000) hung during netdump.
Comment 9 CAI Qian 2010-06-17 22:12:34 EDT
RHEL4.8 x86_64 guest (e1000) was working fine so far.
Comment 19 Chao Ye 2010-11-19 04:49:07 EST
Tested with latest build:
======================================================================
[root@ibm-hs21-01 ~]# rpm -q qemu-kvm libvirt kernel
qemu-kvm-0.12.1.2-2.120.el6.x86_64
libvirt-0.8.1-27.el6.x86_64
kernel-2.6.32-83.el6.x86_64

Guest is RHEL3-U9 with 2 vcpu and 1G memory.
Netdump success to dump vmcore, no hang was found.
Comment 21 dawu 2011-01-10 23:24:35 EST
Retest with unfixed build qemu-kvm-0.12.1.2-2.118.el6:
This bug reproduce.

Verified this bug with qemu command on latest build:
======================================================================
[root@dhcp-91-8~]# rpm -q qemu-kvm kernel
qemu-kvm-0.12.1.2-2.128.el6.x86_64
kernel-2.6.32-94.el6.x86_64

CLI: 
/usr/libexec/qemu-kvm -m 1G -smp 2 -cpu cpu64-rhel6,+x2apic -usbdevice tablet -drive file=rhel3.9_32_netdump_client.raw,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -netdev tap,id=hostnet0,script=/etc/qemu-ifup -device e1000,netdev=hostnet0,mac=10:10:40:36:26:26,bus=pci.0,addr=0x4 -boot c -uuid c111811f-261c-459a-9a1d-9e8ad666593b -rtc-td-hack -no-kvm-pit-reinjection -monitor stdio -name netdump-client -vnc :1

Guest is RHEL3-U9 for 32bit with 2 vcpu and 1G memory.
Netdump success to dump vmcore, no hang was found.
Comment 22 Chris Wright 2011-01-18 20:13:43 EST
*** Bug 658919 has been marked as a duplicate of this bug. ***
Comment 27 Miya Chen 2011-03-08 23:55:18 EST
move to verified based on comment#21 and comment#25
Comment 28 Eduardo Habkost 2011-05-05 10:11:40 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: missing support for secrc field on e1000 emulation.

Consequence: Triggering netdump on a RHEL3 i386 guest, it failed when using e1000 NIC emulation.

Fix: Added support for secrc field on e1000 emulation code.

Result: netdump on RHEL3 guests using e1000 emulation now work.
Comment 30 Miya Chen 2011-05-10 04:39:51 EDT
Hi,Moritoshi

It is PM not QE to decide whether this can be go into z-steam.
BTW, RHEL6.1 release is around the corner and the fix is in it, so i don't think it is necessary to fix it in rhel6.0.z, thanks, :).
Comment 31 errata-xmlrpc 2011-05-19 07:29:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0534.html
Comment 32 errata-xmlrpc 2011-05-19 08:45:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0534.html

Note You need to log in before you can comment on or make changes to this bug.